Bug 827430 - 3.x - [vdsm] vdsm fails to read iso which is owned by user vdsm without read permission for others
3.x - [vdsm] vdsm fails to read iso which is owned by user vdsm without read ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Ayal Baron
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 09:16 EDT by Martin Pavlik
Modified: 2015-04-06 23:09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-14 04:39:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log + engine.log (205.54 KB, application/x-gzip)
2012-06-01 09:16 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-06-01 09:16:30 EDT
Created attachment 588438 [details]
vdsm.log + engine.log

Description of problem:
vdsm fails to report iso which is owned by user vdsm without read permission for others

if file has following permissions (after upload via rhevm-iso-uploader)

-rw-r-----. 1 vdsm kvm 3834642432 Jun  1 12:00 /home/.../Fedora-17-x86_64-DVD.iso

and vdsm is accessing the file as user vdsm, vdsm should list the file in iso list which is passed to rhevm


Version-Release number of selected component (if applicable):
vdsm-4.9.6-10.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. upload iso to iso domain via iso uploader
2. refresh iso list in rhevm

  
Actual results:
newly uploaded iso is NOT visible in rhevm


Expected results:
newly uploaded iso is visible in rhevm


Additional info:
logs with and without read permission for others attached
Comment 5 RHEL Product and Program Management 2012-07-10 04:55:08 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 RHEL Product and Program Management 2012-07-10 21:56:01 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 7 RHEL Product and Program Management 2012-12-14 03:54:01 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 8 Martin Pavlik 2012-12-14 04:39:26 EST
works in si25.1

Note You need to log in before you can comment on or make changes to this bug.